Subject: bug#40838: 28.0.50; [feature/native-comp] Function overrides in init.el are not honored after deferred compilation

From: Ihor Radchenko <[email-masked]>
Date: Sat, 23 May 2020 23:23:59 +0800

> I believe if you want to have to workaround effective in deferred
> compilation you'll need to put the definition of these two functions
> into `comp-async-env-modifier-form' as discussed.
>
> Perhaps the best thing if to ask them to do it given they have a branch
> to support native-comp.

Never mind my last email. I thought that defun statements before
require should not be overridden, which is obviously wrong.

Best,
Ihor

Andrea Corallo <[email-masked]> writes:

> Ihor Radchenko <[email-masked]> writes:
>
>>> If this is what is happening with straight.el, then my recipe is not
>>> actually reproducing my initial bug report. I have other cases when
>>> functions redefined in my config are overridden by initial definition
>>> when .eln is loaded. I think that I still need to investigate for a real
>>> recipe then.
>>
>> I have recently tried to find a temporary workaround to this issue with
>> straight.el+org+native-comp. However, my workaround seems to fail
>> because of native-comp (at least, I believe so).
>
> Hi Ihor,
>
> I believe if you want to have to workaround effective in deferred
> compilation you'll need to put the definition of these two functions
> into `comp-async-env-modifier-form' as discussed.
>
> Perhaps the best thing if to ask them to do it given they have a branch
> to support native-comp.
>
>   Andrea
>
> -- 
> [email-masked]

-- 
Ihor Radchenko,
PhD,
Center for Advancing Materials Performance from the Nanoscale (CAMP-nano)
State Key Laboratory for Mechanical Behavior of Materials, Xi'an Jiaotong University, Xi'an, China
Email: [email-masked], [email-masked]